package users

import (
	"context"
	userv1 "git.sch9.ru/new_gate/ms-auth/proto/user/v1"
	"google.golang.org/protobuf/types/known/emptypb"
)

type UserHandlers interface {
	CreateUser(ctx context.Context, req *userv1.CreateUserRequest) (*userv1.CreateUserResponse, error)
	GetUser(ctx context.Context, req *userv1.GetUserRequest) (*userv1.GetUserResponse, error)
	UpdateUser(ctx context.Context, req *userv1.UpdateUserRequest) (*emptypb.Empty, error)
	DeleteUser(ctx context.Context, req *userv1.DeleteUserRequest) (*emptypb.Empty, error)
	Login(ctx context.Context, req *userv1.LoginRequest) (*emptypb.Empty, error)
	Verify(ctx context.Context, req *emptypb.Empty) (*emptypb.Empty, error)
	Refresh(ctx context.Context, req *emptypb.Empty) (*emptypb.Empty, error)
	Logout(ctx context.Context, req *emptypb.Empty) (*emptypb.Empty, error)
	CompleteLogout(ctx context.Context, req *emptypb.Empty) (*emptypb.Empty, error)
}
